Bug 242616 - Missing dependency: checkpolicy
Missing dependency: checkpolicy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Conklin
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 00:17 EDT by Saikat Guha
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 14:03:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2007-06-05 00:17:20 EDT
On a default F7 install, when trying to modify policy using audit2allow:

[root@seshat ~]# audit2allow -M local < /var/log/audit/audit.log
compilation failed:
sh: /usr/bin/checkmodule: No such file or directory

checkmodule is in the checkpolicy package
which isn't picked up as a dependency

Explicitly installing it fixes the problem.

Suggest adding checkpolicy to policycoreutils requires list
Comment 1 Daniel Walsh 2007-07-10 11:14:05 EDT
I really do not want to add this requirement, I would prefer that audit2allow
would inform you that this package is required.  Rather then adding additional
requires.
Comment 2 Daniel Walsh 2007-07-10 11:22:11 EDT
Changed my mind.

Fixed in policycoreutils-2.0.16-11

Note You need to log in before you can comment on or make changes to this bug.